
<div class="formulaire">
<h2>Login</h2>
<%= form_for(resource, as: resource_name, url: session_path(resource_name)) do |f| %>
  <div class="field">
    <%= f.label :email %><br />
    <%= f.email_field :email, autofocus: true, autocomplete: "email" %>
  </div>

  <div class="field">
    <%= f.label :password %><br />
    <%= f.password_field :password, autocomplete: "current-password" %>
  </div>

  <% if devise_mapping.rememberable? -%>
    <div class="field">
      <%= f.check_box :remember_me %>
      <%= f.label :remember_me %>
    </div>
  <% end -%>

  <div class="actions">
    <%= f.submit "Login" %>
  </div>
<% end %>
<%= render "devise/shared/links" %>
</div>
  <div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog modal-md">
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title text-center">Faux identifiant</h4>
        </div>
        <div class="modal-body">
          <p> Email : <%= User.first.email %></p>
          <p> Mot de pass : "Test:te$t1" </p> 
        </div>
        <div class="modal-footer text-center">
          <button id="close-modal" type="button" class="btn btn-primary" data-dismiss="modal">Fermer</button>
        </div>
      </div>
    </div>
  </div>
</div>
<script>
window.onload = function(){
    document.getElementById('myModal').style.display = "block";
    document.getElementById('myModal').classList.remove("fade");
}; 
document.getElementById("close-modal").onclick = function(){
  var dismiss = document.getElementById("close-modal").getAttribute("data-dismiss");
  var modals = document.getElementsByClassName(dismiss);
  for(var i = 0 ; i<modals.length; i++){
    modals[i].style.display = "none";
  }
}
</script>